Subject: Re: bug#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

From: Paul Eggert <[email-masked]>
Date: Sat, 12 Nov 2016 10:12:53 -0800

Svante Signell wrote:
> Maybe you should have some better way of detecting libsystemd presence?

The Emacs way of using systemd should work with the dummy. libsystemd-dummy 
should define a dummy function sd_listen_fds that always returns 0, and this 
should cause Emacs to avoid using systemd. Evidently this is not working for 
you; can you investigate why? E.g., can you run Emacs under a debugger and 
verify that sd_listen_fds is the only libsystemd function it calls?

As far as the memory problems go, it appears that sometimes they happen and 
sometimes they don't, and we don't really know why. Although it could well be 
unexec, it could well be something else too. It's frustrating.